summaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
Diffstat (limited to 'main')
-rw-r--r--main/lighttpd/APKBUILD13
-rw-r--r--main/lighttpd/fix-handling-return-value-of-SSL_CTX_set_options.patch13
2 files changed, 22 insertions, 4 deletions
diff --git a/main/lighttpd/APKBUILD b/main/lighttpd/APKBUILD
index b70b4b55..44125b0e 100644
--- a/main/lighttpd/APKBUILD
+++ b/main/lighttpd/APKBUILD
@@ -2,7 +2,7 @@
pkgname=lighttpd
pkgver=1.4.26
_streamver=2.2.0
-pkgrel=1
+pkgrel=2
pkgdesc="a secure, fast, compliant and very flexible web-server"
url="http://www.lighttpd.net/"
license="custom"
@@ -22,14 +22,18 @@ source="http://download.lighttpd.net/lighttpd/releases-1.4.x/$pkgname-$pkgver.ta
mod_cgi.conf
mod_fastcgi.conf
lighttpd-version-from-git.patch
+ fix-handling-return-value-of-SSL_CTX_set_options.patch
"
subpackages="$pkgname-dev $pkgname-doc $pkgname-h264_streaming"
prepare() {
cd "$srcdir"/$pkgname-$pkgver
- # 323
- patch -p0 -i "$srcdir"/lighttpd-version-from-git.patch || return 0
+ # http://bugs.alpinelinux.org/issues/323
+ patch -p0 -i "$srcdir"/lighttpd-version-from-git.patch || return 1
+
+ # http://bugs.alpinelinux.org/issues/329
+ patch -p2 -i "$srcdir"/fix-handling-return-value-of-SSL_CTX_set_options.patch || return 1
# copy over the mod-h264-streaming mod
# http://h264.code-shop.com/trac/wiki/Mod-H264-Streaming-Lighttpd-Version2#DownloadLighttpd1.4.191.4.20andother1.4.x
@@ -116,4 +120,5 @@ df5b2360ea380d988bf16905ab214286 lighttpd.conf
fef397e7bcf1b741dea211a555e1803c mime-types.conf
9c1407e95f62ed22da66c4ef5f69c3b5 mod_cgi.conf
f3363e39832f1b6678468b482d121afb mod_fastcgi.conf
-c2471f50eec2ce85da6dfaf8289725bc lighttpd-version-from-git.patch"
+c2471f50eec2ce85da6dfaf8289725bc lighttpd-version-from-git.patch
+770baaa9a8dae51e25db29d3561d5b76 fix-handling-return-value-of-SSL_CTX_set_options.patch"
diff --git a/main/lighttpd/fix-handling-return-value-of-SSL_CTX_set_options.patch b/main/lighttpd/fix-handling-return-value-of-SSL_CTX_set_options.patch
new file mode 100644
index 00000000..40eab25e
--- /dev/null
+++ b/main/lighttpd/fix-handling-return-value-of-SSL_CTX_set_options.patch
@@ -0,0 +1,13 @@
+Index: branches/lighttpd-1.4.x/src/network.c
+===================================================================
+--- branches/lighttpd-1.4.x/src/network.c (revision 2715)
++++ branches/lighttpd-1.4.x/src/network.c (revision 2716)
+@@ -525,7 +525,7 @@
+
+ if (!s->ssl_use_sslv2) {
+ /* disable SSLv2 */
+- if (SSL_OP_NO_SSLv2 != SSL_CTX_set_options(s->ssl_ctx, SSL_OP_NO_SSLv2)) {
++ if (!(SSL_OP_NO_SSLv2 & SSL_CTX_set_options(s->ssl_ctx, SSL_OP_NO_SSLv2))) {
+ log_error_write(srv, __FILE__, __LINE__, "ss", "SSL:",
+ ERR_error_string(ERR_get_error(), NULL));
+ return -1;